Bug 1377552 (CVE-2016-5270)

Summary: CVE-2016-5270 Mozilla: Heap-buffer-overflow in nsCaseTransformTextRunFactory::TransformString (MFSA 2016-85, MFSA 2016-86)
Product: [Other] Security Response Reporter: Siddharth Sharma <sisharma>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20160920,reported=20160919,source=mozilla,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,cvss3=5.6/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-7/firefox=affected,rhel-5/thunderbird=notaffected,rhel-6/thunderbird=notaffected,rhel-7/thunderbird=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-04 02:43:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1369653    

Description Siddharth Sharma 2016-09-20 06:01:02 UTC
An out-of-bounds write of a boolean value during text conversion with some unicode characters.

External Reference:

https://www.mozilla.org/security/advisories/mfsa2016-85/
https://www.mozilla.org/security/advisories/mfsa2016-86/

Comment 1 Siddharth Sharma 2016-09-20 06:01:12 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Atte Kettunen

Comment 2 errata-xmlrpc 2016-09-21 07:49:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:1912 https://rhn.redhat.com/errata/RHSA-2016-1912.html